DefaultExceptionStrategy (Mule ESB 2.2.1 API)
Keywords: org.mule.DefaultExceptionStrategy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule
Class DefaultExceptionStrategy

    java.lang.Object
      org.mule.AbstractExceptionListener
          org.mule.DefaultExceptionStrategy

All Implemented Interfaces:
  ExceptionListener, MuleContextAware, Disposable, Initialisable

Direct Known Subclasses:
  DefaultServiceExceptionStrategy

    public class DefaultExceptionStrategy

extends AbstractExceptionListener

`DefaultExceptionStrategy` provides a default exception handling strategy.

Field Summary

Fields inherited from class org.mule.AbstractExceptionListener
`commitTxFilter, enableNotifications, endpoints, initialised, logger, muleContext, rollbackTxFilter`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DefaultExceptionStrategy()`

Method Summary
`protected void` | `defaultHandler(Throwable t)`
`void` | `handleLifecycleException(Object component, Throwable t)` DefaultLifecyclePhase exceptions are thrown when an error occurs during an object's lifecycle call such as start, stop or initialise.
`void` | `handleMessagingException(MuleMessage message, Throwable t)` A messaging exception is thrown when an excpetion occurs during normal message processing.
`void` | `handleRoutingException(MuleMessage message, ImmutableEndpoint endpoint, Throwable t)` A routing exception is thrown when an excpetion occurs during normal message processing A `RoutingException` holds a reference to the current message and te endpoint being routing to or from when the error occurred.
`void` | `handleStandardException(Throwable t)` A handler for all other exceptions
`protected MuleMessage` | `messageFromContextIfAvailable(MuleMessage message)`

Methods inherited from class org.mule.AbstractExceptionListener
`addEndpoint, closeStream, dispose, doInitialise, exceptionThrown, fireNotification, getCommitTxFilter, getEndpoints, getEndpoints, getErrorMessagePayload, getExceptionType, getRollbackTxFilter, handleTransaction, initialise, isEnableNotifications, isInitialised, logException, logFatal, removeEndpoint, rollbackTransaction, routeException, setCommitTxFilter, setEnableNotifications, setEndpoints, setMuleContext, setRollbackTxFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExceptionStrategy

    public DefaultExceptionStrategy()

Method Detail

### handleMessagingException

    public void handleMessagingException(MuleMessage message,
                                         Throwable t)

  Description copied from class: `AbstractExceptionListener`
  A messaging exception is thrown when an excpetion occurs during normal message processing. A `MessagingException` holds a reference to the current message that is passed into this method

  Specified by:
    `handleMessagingException` in class `AbstractExceptionListener`
  Parameters:
    `message` - the current message being processed
    `t` - the top level exception thrown. This may be a Messaging exception or some wrapper exception
  See Also:
    `MessagingException`

### handleRoutingException

    public void handleRoutingException(MuleMessage message,
                                       ImmutableEndpoint endpoint,
                                       Throwable t)

  Description copied from class: `AbstractExceptionListener`
  A routing exception is thrown when an excpetion occurs during normal message processing A `RoutingException` holds a reference to the current message and te endpoint being routing to or from when the error occurred. Both are passed into this method

  Specified by:
    `handleRoutingException` in class `AbstractExceptionListener`
  Parameters:
    `message` - the current message being processed
    `endpoint` - the endpoint being dispatched to or received from when the error occurred
    `t` - the top level exception thrown. This may be a Messaging exception or some wrapper exception
  See Also:
    `RoutingException`

### handleLifecycleException

    public void handleLifecycleException(Object component,
                                         Throwable t)

  Description copied from class: `AbstractExceptionListener`
  DefaultLifecyclePhase exceptions are thrown when an error occurs during an object's lifecycle call such as start, stop or initialise. The exception contains a reference to the object that failed which can be used for more informative logging.

  Specified by:
    `handleLifecycleException` in class `AbstractExceptionListener`
  Parameters:
    `component` - the object that failed during a lifecycle call
    `t` - the top level exception thrown. This may or may not be the `LifecycleException` but a lifecycle exception will be present in the exception stack.
  See Also:
    `LifecycleException`

### handleStandardException

    public void handleStandardException(Throwable t)

  Description copied from class: `AbstractExceptionListener`
  A handler for all other exceptions

  Specified by:
    `handleStandardException` in class `AbstractExceptionListener`
  Parameters:
    `t` - the top level exception thrown

### defaultHandler

    protected void defaultHandler(Throwable t)

### messageFromContextIfAvailable

    protected MuleMessage messageFromContextIfAvailable(MuleMessage message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.